Subject: Re: How to bypass the post-commit hook?

From: Jan Hudec <[email-masked]>
Date: Sun, 30 Dec 2007 22:50:08 +0100

On Sun, Dec 30, 2007 at 23:12:12 +0800, Ping Yin wrote:
> --no-verify can bypass pre-commit hook? Then how to bypass post-commit hook?
> 
> Usually I want post-commit take effect. However, in the middle of
> git-rebase, i want to bypass post-commit when 'git-commit --amend'
> since my post-commit hooks will modify the working directory and so
> make following rebase troubesome.

There does not seem to be an option to do it, but you can always temporarily
disable it (unset the executable permission on it).

By the way, what is your post-commit hook doing anyway? Modifying the work
tree *after* a commit does not sound like a common thing to do.

-- 
						 Jan 'Bulb' Hudec <[email-masked]>